Subject: Re: [BEHAVE] SASLprep password in draft-ietf-behave-stun-test-vectors-03.txt

From: Marc Petit-Huguenin <[email-masked]>
Date: Sun, 03 Aug 2008 03:50:33 -0700

Alfred E. Heggestad wrote:
> hi
>
>
> I have a small comment on draft-ietf-behave-stun-test-vectors-03.txt
>
>
> Section 2.4 says:
>
>       Password: "TheA<U+00AD>M<U+00AA>tr<U+2168>" (without quotes) before
>             SASLprep processing
>
>
> I am not sure how to interpret this, would it be possible to also
> include a binary string containing the password (after SASLprep) ?
>

The <U+00AD> notation describes a Unicode codepoint.  This notation has
the advantage of been independent of the computer language.  The
problem, I think, of using a binary form is that it is depending of the
way characters are encoded in a specific platform, programming language
and API (UTF-16, UTF-8, sequence of 16 bit integer, etc...).

-- 
Marc Petit-Huguenin           [                                 ]
Home: [email-masked] [RFC1855-compliant space for rent ]
Work: [email-masked]            [                                 ]
[                                                               ]
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave